diff -uNr libxml2-2.5.10/Makefile.in libxml2-2.5.10-new/Makefile.in
--- libxml2-2.5.10/Makefile.in	Thu Aug 14 20:33:22 2003
+++ libxml2-2.5.10-new/Makefile.in	Mon Aug 18 21:11:39 2003
@@ -366,7 +366,7 @@
 DEFS = @DEFS@
 DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
 CPPFLAGS = @CPPFLAGS@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = 
 LIBS = @LIBS@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
diff -uNr libxml2-2.5.10/catalog.c libxml2-2.5.10-new/catalog.c
--- libxml2-2.5.10/catalog.c	Mon Aug  4 14:41:42 2003
+++ libxml2-2.5.10-new/catalog.c	Mon Aug 18 21:12:07 2003
@@ -62,10 +62,10 @@
 #define XML_URN_PUBID "urn:publicid:"
 #define XML_CATAL_BREAK ((xmlChar *) -1)
 #ifndef XML_XML_DEFAULT_CATALOG
-#define XML_XML_DEFAULT_CATALOG "file:///etc/xml/catalog"
+#define XML_XML_DEFAULT_CATALOG "file://@PREFIX@/etc/xml/catalog"
 #endif
 #ifndef XML_SGML_DEFAULT_CATALOG
-#define XML_SGML_DEFAULT_CATALOG "file:///etc/sgml/catalog"
+#define XML_SGML_DEFAULT_CATALOG "file://@PREFIX@/etc/sgml/catalog"
 #endif
 
 static int xmlExpandCatalog(xmlCatalogPtr catal, const char *filename);
diff -uNr libxml2-2.5.10/doc/xmllint.1 libxml2-2.5.10-new/doc/xmllint.1
--- libxml2-2.5.10/doc/xmllint.1	Tue May 20 04:31:23 2003
+++ libxml2-2.5.10-new/doc/xmllint.1	Mon Aug 18 21:12:47 2003
@@ -151,7 +151,7 @@
 
 .TP
 \fB--catalogs\fR
-Use the catalogs from $SGML_CATALOG_FILES. Otherwise /etc/xml/catalog is used by default.
+Use the catalogs from $SGML_CATALOG_FILES. Otherwise @PREFIX@/etc/xml/catalog is used by default.
 
 .TP
 \fB--nocatalogs\fR
diff -uNr libxml2-2.5.10/ltmain.sh libxml2-2.5.10-new/ltmain.sh
--- libxml2-2.5.10/ltmain.sh	Thu Aug 14 20:33:17 2003
+++ libxml2-2.5.10-new/ltmain.sh	Mon Aug 18 21:14:23 2003
@@ -1772,7 +1772,7 @@
 
 	  if test "$installed" = no; then
 	    notinst_deplibs="$notinst_deplibs $lib"
-	    need_relink=yes
+	    need_relink=no
 	  fi
 
 	  if test -n "$old_archive_from_expsyms_cmds"; then
@@ -2972,6 +2972,11 @@
 	if test -n "$export_symbols" && test -n "$archive_expsym_cmds"; then
 	  eval cmds=\"$archive_expsym_cmds\"
 	else
+          if test "x$verstring" = "x0.0"; then
+                tmp_verstring=
+          else
+                tmp_verstring="$verstring"
+          fi
 	  save_deplibs="$deplibs"
 	  for conv in $convenience; do
 	    tmp_deplibs=
diff -uNr libxml2-2.5.10/update-sgml-catalog libxml2-2.5.10-new/update-sgml-catalog
--- libxml2-2.5.10/update-sgml-catalog	Wed Dec 31 19:00:00 1969
+++ libxml2-2.5.10-new/update-sgml-catalog	Mon Aug 18 21:14:54 2003
@@ -0,0 +1,28 @@
+#!/bin/sh -e
+#
+# update-sgml-catalog
+# see DescPackaging field of libxml2 .info file for usage.
+#
+
+CATALOG=@PREFIX@/etc/sgml/catalog
+CATALOG_D=@PREFIX@/etc/sgml/catalog.d
+
+mkdir -p ${CATALOG_D}
+
+TMPFILE=`tempfile`
+
+if [ "`echo ${CATALOG_D}/*`" != "${CATALOG_D}/*" ]; then
+  cat ${CATALOG_D}/* | sed 's/#.*$//g' | {
+    while read cat; do
+      if [ -z "${cat}" ]; then
+        continue
+      fi
+      echo CATALOG ${cat} >>${TMPFILE}
+    done
+  }
+fi
+
+mv -f ${TMPFILE} ${CATALOG}
+chmod 0644 ${CATALOG}
+
+exit 0
diff -uNr libxml2-2.5.10/update-xml-catalog libxml2-2.5.10-new/update-xml-catalog
--- libxml2-2.5.10/update-xml-catalog	Wed Dec 31 19:00:00 1969
+++ libxml2-2.5.10-new/update-xml-catalog	Mon Aug 18 21:15:18 2003
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+#
+# update-xml-catalog
+# see DescPackaging field of libxml2 .info file for usage.
+#
+
+CATALOG=@PREFIX@/etc/xml/catalog
+CATALOG_D=@PREFIX@/etc/xml/catalog.d
+
+mkdir -p ${CATALOG_D}
+
+TMPFILE=`tempfile`
+xmlcatalog --create >>${TMPFILE}
+
+if [ "`echo ${CATALOG_D}/*`" != "${CATALOG_D}/*" ]; then
+  cat ${CATALOG_D}/* | sed 's/#.*$//g' | {
+    while read type orig replace; do
+      if [ -z "${type}" -o -z "${orig}" -o -z "${replace}" ]; then
+        continue
+      fi
+      eval xmlcatalog --noout --add ${type} ${orig} ${replace} ${TMPFILE}
+    done
+  }
+fi
+
+mv -f ${TMPFILE} ${CATALOG}
+chmod 0644 ${CATALOG}
+
+exit 0
diff -uNr libxml2-2.5.10/xmlcatalog.c libxml2-2.5.10-new/xmlcatalog.c
--- libxml2-2.5.10/xmlcatalog.c	Thu Aug  7 04:00:59 2003
+++ libxml2-2.5.10-new/xmlcatalog.c	Mon Aug 18 21:15:29 2003
@@ -42,7 +42,7 @@
 #ifdef LIBXML_CATALOG_ENABLED
 
 #ifndef XML_SGML_DEFAULT_CATALOG
-#define XML_SGML_DEFAULT_CATALOG "/etc/sgml/catalog"
+#define XML_SGML_DEFAULT_CATALOG "@PREFIX@/etc/sgml/catalog"
 #endif
 
 /************************************************************************
diff -uNr libxml2-2.5.10/xmllint.c libxml2-2.5.10-new/xmllint.c
--- libxml2-2.5.10/xmllint.c	Wed Aug 13 21:18:06 2003
+++ libxml2-2.5.10-new/xmllint.c	Mon Aug 18 21:15:42 2003
@@ -99,7 +99,7 @@
 #endif
 
 #ifndef XML_XML_DEFAULT_CATALOG
-#define XML_XML_DEFAULT_CATALOG "file:///etc/xml/catalog"
+#define XML_XML_DEFAULT_CATALOG "file://@PREFIX@/etc/xml/catalog"
 #endif
 
 #ifdef LIBXML_DEBUG_ENABLED
